- [HTTP request](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#body.request_body)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#body.response_body)
- [MandateStatus](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateStatus)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateStatus.SCHEMA_REPRESENTATION)
- [MandateCancelled](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateCancelled)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateCancelled.SCHEMA_REPRESENTATION)
- [UpdateMandateStatusResponse](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResponse)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResponse.SCHEMA_REPRESENTATION)
- [UpdateMandateStatusResult](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResult)
  - [JSON representation](https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResult.SCHEMA_REPRESENTATION)

Inform Google of a change in status of a mandate due to user activities outside of Google.

The mandate should be referred using the `requestId` of the `createMandate` call.

If the endpoint encounters an error while processing the request, the endpoint will return HTTP 4xx or 5xx and the HTTP body will either be of type [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ErrorResponse) or contain a generic error (e.g. a message similar to "There was an error. Please try again later.").

The generic error is used in situations where an [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ErrorResponse) with a clear description could be used to help an attacker understand the payment integrator account identifier of other integrators. In these situations, where either the signing key doesn't match, the payment integrator identifier was not found, or the encryption key was unknown, this method will return a generic error. If the request signature could be verified, additional information regarding the error will be returned in an [`ErrorResponse`](https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ErrorResponse).

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 2
        },
        "requestId": "bWVyY2hhbnQgdHJhbnNhY3Rpb24gaWQ",
        "requestTimestamp": {
          "epochMillis": "1502220196077"
        },
        "paymentIntegratorAccountId": "InvisiCashIN_INR"
      },
      "mandateId": "zXCbyY2hhbnQgdHJhbnNhY3Rpb49qaAH",
      "updateSequenceTimestamp": {
          "epochMillis": "1502220196077"
      },
      "mandateStatus" : {
        "mandateActive" : {}
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1581900013178"
        }
      },
      "result": {
        "success": {}
      }
    }

### HTTP request

`POST https://vgw.googleapis.com/gsp/e-wallets-v2/updateMandateStatus/https://developers.google.com/pay/e-wallets-v2/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/RequestHeader) }, "mandateId": string, "updateSequenceTimestamp": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Timestamp) }, "mandateStatus": { object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateStatus`) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `mandateId` | `string` **REQUIRED** : The unique identifier for the mandate that is being updated. This is the `requestId` generated by Google during the `asynchronousCreateMandate` call which this mandate is associated with. This is a string with a max length of 100 characters and contains only the characters "a-z", "A-Z", "0-9", ":", "-", and "_". |
| `updateSequenceTimestamp` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Timestamp)` **REQUIRED** : A timestamp (in UTC) describing when this request was sent. Google will use this timestamp to order multiple `updateMandateStatus` calls and other mutations on this mandate, that arrive around the same time, to determine which request is the most recent. |
| `mandateStatus` | ``object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateStatus`)`` **REQUIRED**: The latest status of this mandate. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/e-wallets-v2/guides/connectivity/protocol-standards#http_status_codes).

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResponse`)`` |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ErrorResponse)` |
| End of mutually exclusive fields. ||

## MandateStatus

The status of a mandate.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "mandateActive": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Empty) }, "mandateCancelled": { object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateCancelled`) }, "mandatePaused": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/upcomingTransactionNotification#MandatePaused) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The status must contain exactly one of these messages. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `mandateActive` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Empty)` The mandate is active and can be used for transactions. |
| `mandateCancelled` | ``object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#MandateCancelled`)`` The mandate is cancelled and cannot be used for future transactions. |
| `mandatePaused` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/upcomingTransactionNotification#MandatePaused)` The mandate is paused and cannot be used for transactions until re-activated. |
| End of mutually exclusive fields. ||

## MandateCancelled

This mandate is cancelled in the network.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/upcomingTransactionNotification#RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/upcomingTransactionNotification#RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a raw code. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## UpdateMandateStatusResponse

Response object for the `updateMandateStatus` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ResponseHeader) }, "result": { object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/e-wallets-v2/google-e-wallets-api/updateMandateStatus#UpdateMandateStatusResult`)`` **REQUIRED**: Result of this call. |

## UpdateMandateStatusResult

Result codes for the `updateMandateStatus` method.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Empty) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The result must contain exactly one of these messages. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | `object (https://developers.google.com/pay/e-wallets-v2/payment-integrator-e-wallets-api/Empty)` Update mandate status was successfully processed. |
| End of mutually exclusive fields. ||